var Navigator = function() {
    var that = this;

    that.history = [];
};

Navigator.prototype.navigate = function(container, page) {
    var that = this;

    this.history.push({ content: container.children[0] });

    container.innerHTML = "";

    var view = document.createElement("div");
    view.innerHTML = Mustache.render(page.template, page.model);
    container.appendChild(view.children[0]);

    page.model.init();
}

Navigator.prototype.back = function(container) {

    var that = this,
        historyEntity = that.history.pop();

    if (historyEntity) {
        container.innerHTML = "";
        container.appendChild(historyEntity.content);
    }
}
